Changes affecting dependencies (new major number)

More simple and consistant handling of library options:
 The \fILinker\fR package of the new project
 inherits any
-.B \-l
-or
-.B \-L
-linker options from \fILeading_Library_Options\fR
-and \fILibrary_Options\fR attributes of the build project file.
+Linker package of the build project file.
The documentation should also recall the difference between the three
fields.

TODO.change_input_format.diff

"-dev Depends: gnat" and "-dbg Suggests: gnat".
Using a substitution variable for a name that does not depend on
ali/soversion increases complexity without benefit. Drop them in favor
of a warning if the value are not in debian/control.

More generally, include checks that lintian cannot do as it cannot
detect Ada packages. Examples:
source: Build-Depends on gnat
source: Build-Depends on gnat-X.Y (would make the call to gnatgcc
                    --version unneeded in the Makefile snippet).
-dev: Depends on gnat
-dev: Depends on gnat-X.Y or includes ada:Depends
-dbg: Depends on -lib (=binaryversion) or includes ada:Depends
-dbg: Suggests gnat
-doc/-bin if available Suggests: gnat

Remove the ada:Recommends substitution variable for -dbg. Defining it
was an error (section 5.2.4), but removing it will need a (trivial)
modification in dependencies.

--
Prospective

See if library_symbol_policy in the project can be used to generate a
list of symbol versions in the Debian way.

Upload Debian tags for libraries with debtags --upload? Some tags can
be automatically deduced.

Once directories.gpr is correctly defined, parse it the
to know were things must be installed.
The real problem will be to detect arch-dependent sources/projects.

Ignoring Library_Version has its counterparts (gtkada upstream uses a
unusual soname).

See if the gnatcoll API is more stable than the prj API.
